# Funksjonen returnerer spørring for å lage en databasebruker for ServiceAccount.
function New-DBUserToServiceAccount {

    # Parameteret som hentes inn er navnet på databasebrukeren. I vårt tilfelle har vi samme navn på databasebrukeren og ServiceAccounten.
    param($ServiceAccountName)

    # Lager spørringen for å lage en databasebruker koblet mot login som ble laget tidligere:
    $query = "CREATE USER [$ServiceAccountName]
    FOR LOGIN [$ServiceAccountName]
    WITH DEFAULT_SCHEMA = dbo;"

    # Returnerer spørringen som ble laget over.
    $query
    
}