# Funksjonen returnerer spørringen for tilpasse rettighetene til databasebrukeren.
function New-EditServiceAccountRettigheter {

    # Parameterne som hentes inn er navnet på databasen og databasebrukeren.
    param($dbNavn, $ServiceAccountName)

    # Lager spørringen for å lage tilpasse rettighetene til databasebrukeren:
    $query = "GRANT SELECT ON DATABASE::[$dbNavn] TO $ServiceAccountName;
    GRANT INSERT ON DATABASE::[$dbNavn] TO $ServiceAccountName;
    DENY UPDATE ON DATABASE::[$dbNavn] TO $ServiceAccountName;
    DENY DELETE ON DATABASE::[$dbNavn] TO $ServiceAccountName;"

    # Returnerer spørringen som ble laget over.
    $query
    
}