# Funksjonen returnerer spørringen for tilpasse rettighetene til NettsideBruker.
function New-NettsideBrukerRettigheter {

    # Parameterne som hentes inn er navnet på databasen.
    param($dbNavn, $nettsideBrukernavn)

    # Lager spørringen for å lage tilpasse rettighetene til NettsideBruker:
    $query = "GRANT SELECT ON DATABASE::[$dbNavn] TO $nettsideBrukernavn;
    DENY INSERT ON DATABASE::[$dbNavn] TO $nettsideBrukernavn;
    DENY UPDATE ON DATABASE::[$dbNavn] TO $nettsideBrukernavn;
    DENY DELETE ON DATABASE::[$dbNavn] TO $nettsideBrukernavn;"

    # Returnerer spørringen som ble laget over.
    $query
    
}