# Funksjonen returnerer spørringen for tabellen "Uthenting_AMP"
Function New-SQLTableAMP {
    
    $query = "CREATE TABLE Uthenting_AMP (
        AMP_ID int IDENTITY(1,1) PRIMARY KEY,
        MAC varchar(50) FOREIGN KEY REFERENCES Enheter(MAC),
        AMP_Connect_Time datetime,
        AMP_LAN_IPs varchar(50),
        AMP_IPLok varchar(50),
        AMP_LAN_Hostnames varchar(50),
        AMP_AP_ID int,
        AMP_AP_Name varchar(50),
        AMP_AP_Radio_Description varchar(50),
        AMP_Aruba_Device_Type varchar(50),
        AMP_Asset_Category varchar(50),
        AMP_Asset_Group varchar(50),
        AMP_Device_Manufacturer varchar(50),
        AMP_Device_Model varchar(50),
        AMP_Device_OS varchar(50),
        AMP_Device_OS_Detail varchar(50),
        AMP_Device_Type varchar(50),
        AMP_Duration int,
        AMP_EAP_Supplicant varchar(50),
        AMP_Forward_Mode int,
        AMP_HT_Mode int,
        AMP_Is_Guest_User bit,
        AMP_Network_Chipset varchar(50),
        AMP_Network_Driver varchar(50),
        AMP_Network_Vendor varchar(50),
        AMP_Radio_Mode varchar(50),
        AMP_Report_ID int,
        AMP_Role varchar(50),
        AMP_SNMP_Trap_Source varchar(50),
        AMP_SSID varchar(50),
        AMP_Username varchar(50),
        AMP_Visualrf_Location varchar(50),
        AMP_VLAN int,
        AMP_Dato datetime
    );"

    # Returnerer spørringen:
    $query
}
