# Funksjonen returnerer spørringen for tabellen "Uthenting_CPPM"
Function New-SQLTableCPPM {

    $query = "CREATE TABLE Uthenting_CPPM (
        CPPM_ID int IDENTITY(1,1) PRIMARY KEY,
        MAC varchar(50) FOREIGN KEY REFERENCES Enheter(MAC),
        CPPM_Mac_Vendor varchar(50),
        CPPM_IP varchar(50),
        CPPM_IPLok varchar(50),
        CPPM_Is_Static_IP bit,
        CPPM_Hostname varchar(50),
        CPPM_Fingerprint varchar(255),
        CPPM_Status varchar(50),
        CPPM_User varchar(50),
        CPPM_Domain varchar(50),
        CPPM_Roles varchar(50),
        CPPM_SPT varchar(50),
        CPPM_Device_Category varchar(50),
        CPPM_Device_Family varchar(50),
        CPPM_Device_Name varchar(50),
        CPPM_Is_Conflict bit,
        CPPM_Other_Category varchar(50),
        CPPM_Other_Family varchar(50),
        CPPM_Other_Name varchar(50),
        CPPM_Is_Online bit,
        CPPM_Added_At datetime,
        CPPM_Updated_At datetime,
        CPPM_Dato datetime
    );"
    
    # Returnerer spørringen:
    $query
}
