# Funksjonen returnerer spørring for å opprette tabellen "Uthenting_SCCM".
Function New-SQLTableSCCM {

    $query = "CREATE TABLE Uthenting_SCCM (
        SCCM_ID int IDENTITY(1,1) PRIMARY KEY,
        MAC varchar(50) FOREIGN KEY REFERENCES Enheter(MAC),
        SCCM_OtherMACs varchar(255),
        SCCM_AgentName varchar(255),
        SCCM_AgentTime varchar(255),
        SCCM_ClientVersion varchar(50),
        SCCM_IPAddresses varchar(50),
        SCCM_LastLogonTimeStamp datetime,
        SCCM_LastLogonUserName varchar(50),
        SCCM_Name varchar(50),
        SCCM_OperatingSystemNameandVersion varchar(50),
        SCCM_ResourceID int,
        SCCM_SID varchar(50),
        SCCM_IPLok varchar(50),
        SCCM_Dato datetime
    );"

    # Returnerer spørringen.
    $query
}
