﻿#funksjon som brukes for å lage mac-adresser som er knyttet til ip-scopes for generering av fake-data
function Merge-HashTablesMacsIps{
    param(
        [Parameter(Mandatory)][hashtable]$macs,
        [Parameter(Mandatory)][hashtable]$ips
    )

    $ipArray = @()

    foreach($ip in $ips.Keys){
        $ipArray += $ip
    }

    $counter = 0

    $newHashTable = @{}

    foreach($mac in $macs.Keys){
        $index = $ipArray[$counter]
        
        $newHashTable["$mac"] = @($index, $ips."$index")
        $counter++
    }

    $newHashTable
}