//Funksjon som tar inn en SQL-spørring og divID. Kjører spørringen mot databasen gjennom GetSingle.php, og fyller inn divID med verdien som ble hentet.
//Er laget for å fylle enkeltverdier, der svaret består av en enkelt linje.
function getSingle(sporring, divid){
    if (sporring.length == 0) {
        document.getElementById(divid).innerHTML = "Vennligst skriv inn godkjent verdi";
        return;
    } else {
        var xmlhttp = new XMLHttpRequest();
        xmlhttp.onreadystatechange = function(){
            if (this.readyState == 4 && this.status == 200){
                document.getElementById(divid).innerHTML = this.responseText;
            }
        };
        xmlhttp.open("GET", "./php/GetSingle.php?q=" + sporring, true);
        xmlhttp.send();
    }    
}

//Funksjon som utfører spørringen i HentAltHardt.php, og legger resultatet inn i div med divID anvist.
function getHard(divid){
    var xmlhttp = new XMLHttpRequest();
        xmlhttp.onreadystatechange = function(){
            if (this.readyState == 4 && this.status == 200){
                document.getElementById(divid).innerHTML = this.responseText;
                
            }
        };
        xmlhttp.open("GET", "./php/HentAltHardt.php", true);
        xmlhttp.send();
}

//Funksjon som tar inn en link til en PHP-fil, og divID. UTfører spørringen i PHP-filen, og legger resultatet inn i divIDen. Deretter initialiseres et Datatable på divID.
function getThreat(php, divid){
    var xmlhttp = new XMLHttpRequest();
    xmlhttp.onreadystatechange = function(){
        if (this.readyState == 4 && this.status == 200){
            document.getElementById(divid).innerHTML = this.responseText;
            $('#' + divid).DataTable( {
            } );
        }
    };
    xmlhttp.open("GET", php, true);
    xmlhttp.send();
}

//Funksjon som tar inn en MAC-addresse, navnet på en kilde informasjon hentes fra, og en divID. Utfører spørringen i GetEnhet.php, med options q=macad, og k=kilde, slik at
//funksjonen kan hente fra uthenting_sccm, uthenting_amp, og uthenting_cppm.
function getenhet(macad, kilde, divid){
    if (macad.length == 0) {
        document.getElementById(divid).innerHTML = "Vennligst skriv inn godkjent verdi";
        return;
    } else {
        var xmlhttp = new XMLHttpRequest();
        xmlhttp.onreadystatechange = function(){
            if (this.readyState == 4 && this.status == 200){
                document.getElementById(divid).innerHTML = this.responseText;
                $('#' + divid).DataTable( {
                    "pageLength": 1,
                    "lengthMenu": [1, 5, 10],
                    "destroy": true
                } );
            }
        };
        xmlhttp.open("GET", "./php/GetEnhet.php?q=" + macad + "&k=" + kilde, true);
        xmlhttp.send();
    }    
}