<?php
#PHP-script som utfører en spørring og returnerer svaret som en HTML-tabell

    function TabellSporring($query){
        try {
            include "Connect.php";

            $stmt = $conn->prepare($query);
            $stmt->execute();

            // set the resulting array to associative
            $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);

            $test = $stmt->fetchAll();
            $test2 = $stmt->getColumnMeta(0);
            $columncount = $stmt->columnCount();

            echo "<thead>";
            echo "<tr>";
            
            for ($i = 0; $i < $columncount; $i++) {
                $columnname = $stmt->getColumnMeta($i)['name'];
                echo "<th> $columnname </th>";
            }
            echo "</tr>";
            echo "</thead>";
            echo "<tfoot>";
            echo "<tr>";

            for ($i = 0; $i < $columncount; $i++) {
                $columnname = $stmt->getColumnMeta($i)['name'];
                echo "<th> $columnname </th>";
            }

            echo "</tr>";
            echo "</tfoot>";
            echo "<tbody>";

            foreach ($test as $item) {
                echo "<tr>";
                foreach ($item as $subitem) {
                    if(preg_match('/^([0-9A-F]{2}[:-]){5}([0-9A-F]{2})$/', $subitem)){
                        echo "<td> <a href='finnEnkeltenhet.php?mac=$subitem'>$subitem</a> </td>";
                    }else{
                        echo "<td> $subitem </td>";
                    }
                }
                echo "</tr>";
            }
            echo "</tbody>";
        } catch (\PDOException $e) {
            echo "Error: " . $e->getMessage();
        }

        $conn = null;
    }
?>