# Funksjonen returnerer spørringen for å legge databasebrukeren til i ønskede roller.
function New-DBUserToReadWriteRoleQuery {
    
    # Parameteret som hentes inn er navnet på databasebrukeren.
    param($ServiceAccountName)

    # Lager spørringen som gjør at databasebrukeren legges ønskede roller. Skal brukeren legges i flere roller fortsetter man på samme måte med ALTER ROLE ..... ;
    $query = "ALTER ROLE db_datareader ADD MEMBER [$ServiceAccountName];
    ALTER ROLE db_datawriter ADD MEMBER [$ServiceAccountName];"

    # Returnerer spørringen som ble laget over.
    $query
    
}