﻿#Funksjonen brukes for å renggjøre listen med DHCP-scopes fra format-iptabell, for generering av data. Alle VOIP-adresser fjernes.
function Clean-Hashtable{
    [CmdletBinding()]
    param(
        [Parameter(Mandatory, ValueFromPipeline)][hashtable]$hashtable
    )

    Begin{

        $removelist = @()

    }

    Process{

        foreach($ting in $hashtable.GetEnumerator()){
            Write-Debug $ting.Key
            Write-Debug $ting.Value

            if($ting.Value -like "voip*"){
                $removelist += $ting.Key
            }
        }

        foreach($rem in $removelist){
            $hashtable.Remove($rem)
        }

    }

    End{

    }
}