<?php
#PHP-script som brukes for å hente ut alt fra cppm, amp, og sccm separat, og lage en datatable som brukes på siden for visning.
    try {
        include "Connect.php";

        $query = "";

        #Switch ser på $_REQUEST sin "K"-index, og dersom den er lik et av tabellnavnene i casene blir spørringen satt opp for den tabellen.
        switch ($_REQUEST["k"]) {
            case 'uthenting_SCCM':
                $query = "SELECT * FROM uthenting_sccm where mac = :mac";
                break;
                
            case 'uthenting_AMP':
                $query = "SELECT * FROM uthenting_amp where mac = :mac";
                break;

            case 'uthenting_CPPM':
                $query = "SELECT * FROM uthenting_cppm where mac = :mac";
                break;
            
            default:
                break;
        }

        $stmt = $conn->prepare($query);
        $stmt->execute([':mac' => $_REQUEST["q"]]);

        // set the resulting array to associative
        $result = $stmt->setFetchMode(PDO::FETCH_ASSOC);

        $test = $stmt->fetchAll();
        $test2 = $stmt->getColumnMeta(0);
        $columncount = $stmt->columnCount();

        echo "<thead>";
        echo "<tr>";
        
        for ($i = 0; $i < $columncount; $i++) {
            $columnname = $stmt->getColumnMeta($i)['name'];
            echo "<th> $columnname </th>";
        }
        echo "</tr>";
        echo "</thead>";
        echo "<tbody>";

        foreach ($test as $item) {
            echo "<tr>";
            foreach ($item as $subitem) {
                echo "<td> $subitem </td>";
            }
            echo "</tr>";
        }
        echo "</tbody>";
    } catch (\PDOException $e) {
        echo "Error: " . $e->getMessage();
    }

    $conn = null;
?>